Data File Version History for Space Empires IV
---------------------------------------------------

Version 1.93:
1. Settings.txt
   a. Changed to new music fields :
      "Num Intro Songs"
      "Intro Song 1 Filename"
      "Num Background Songs"
      "Background Song # Filename"
      "Num Combat Songs"
      "Combat Song # Filename"


Verison 1.91:
1.  Components.txt
    a. Added optional "Vechicle List Type Override".
    b. Added optional "Vehicle List Type Description".
    c. Added optional "Weapon List Target Override".
    d. Added optional "Weapon List Target Description".


Version 1.90:
1.  Abilities.txt
    a. Added "Generate Points" abilities which will generate points for 
       an empire each turn. These abilities are independent of a planet 
       and will generate an unlimited number of points. These abilities 
       can be used on a facility, component, ship, or anything else. 


Version 1.86:
1.  Abilities.txt
    a. Added "AI Tag ##" abilities for use in getting AIs to use 
       specific components. 


Version 1.76:
1.  Components.txt
    a. Added "[%ShieldPointsGenerated]" so that shield generator
       descriptions will show the true shields generated including
       any mounts for the component.


Version 1.75:
1.  CompEnhancement.txt
    a. Added "Shield Percent". The game will default to a
       value of 100 (no change) if this field is not present. 
2.  Components.txt
    a. Added "Double Damage To Shields" to possible Weapon Damage Types.
    b. Added "Half Damage To Shields" to possible Weapon Damage Types.
    c. Added "Quarter Damage To Shields" to possible Weapon Damage Types.
3.  Settings.txt
    a. Added "Seeker Combat Defense Modifier". The game will default to 
       a value of 40 if this field is not present.
    b. Added "Planet Combat Offense Modifier". The game will default to 
       a value of 30 if this field is not present.
    c. Added "Planet Combat Defense Modifier". The game will default to 
       a value of -200 if this field is not present.


Version 1.73:
1.  CompEnhancement.txt
    a. A Component Enhancement which has a weapon type of None 
       means it can only be used on non-weapon components.
    b. The Comp Family Requirement is now a list of comma 
       separated values.


Version 1.72:
1.  CompEnhancement.txt
    a. Added "Any" to possible values of "Weapon Type".
    b. Added "Any" to possible values of "Vehicle Type".
    c. Added "Comp Family Requirement". The game will default to a
       value of 0 (no requirement) if this field is not present. 
    d. Added "Maximum Vehicle Size". The game will default to a
       value of 0 (no requirement) if this field is not present. 
    e. Added "Number of Tech Req". The game will default to a
       value of 0 (no requirement) if this field is not present. 
    e. Added "Tech Area Req X". The game will default to a
       value of 0 (no requirement) if this field is not present. 
    e. Added "Tech Level Req X". The game will default to a
       value of 0 (no requirement) if this field is not present. 


Version 1.71:
1.  Settings.txt
    a. Added "Maximum Planet Percent Value". The game will default to a 
       value of 250 if this field is not present.
    b. Added "Minimum Planet Percent Value". The game will default to a 
       value of 0 if this field is not present.
    c. Added "Maximum Planet Resource Value". The game will default to a 
       value of 999000000 if this field is not present.
    d. Added "Minimum Planet Resource Value". The game will default to a 
       value of 0 if this field is not present.
    e. Added "Bases Can Join Fleets". The game will default to a value
       of false if this field is not present. 
    f. Added "No Retrofit Adding Of Spaceyards". The game will default to 
       a value of true if this field is not present.
    g. Added "No Retrofit Adding Of Colony Module". The game will default to 
       a value of true if this field is not present.


Version 1.70:
1.  Components.txt
    a. Added "Fighters", "Satellites", and "Drones" Weapon Target Types.
    b. Added "Two Per Vehicle" to "Ten Per Vehicle" to Restrictions.


Version 1.66:
1.  All AI_Construction_Units.txt
    a. Added "Percentage of Resources To Reserve For Unit Construction".


Version 1.65:
1.  QuadrantTypes.txt
    a. Fixed spelling error.
2.  Components.txt
    a. Changed Anti-Ship Warheads to only target ships and satellites.
    b. Added a Weapon Target type of "Ships\Sat".


Version 1.61:
1.  Created DebugSettings.txt


Version 1.57:
1.  DefaultDesignTypes.txt
    a. Added "Drone Carrier".
2.  Default_AI_DesignCreation.txt
    a. Added "Drone Carrier".
3.  AI Race Files
    a. Added "Drone Carrier" to all AI_DesignCreation.txt
4.  Default_AI_Construction_Vehicles.txt
    a. Added "Drone Carrier".
5.  All AI_Settings.txt files
    a. Added "Percentage of total satellites to keep as planetary cargo".
       Controls how much of the total satellite cargo of the empire can 
       be launched into space to defend a planet. 
    b. Added "Percentage of total drones to keep as planetary cargo".
       Controls how much of the total drone cargo of the empire can be 
       launched into space to attack enemy planets and ships. 
    c. Added "Number Of Anti-Ship Drones Per Target".
    d. Added "Number Of Anti-Planet Drones Per Target".
    e. Added "Maximum Anti-Ship Drone Target System Distance".
    f. Added "Maximum Anti-Planet Drone Target System Distance".
6.  Settings.txt
    a. Added "Fighter Supply Usage Per Turn".
    b. Added "Fighters Can Be Hit By Mines".
7.  All AI_Fleets.txt files
    a. Added "Percentage of Fleets to use for defense".
       This is the percentage of fleets that the AI will use to defend
       itself with. The remaining fleets are still used to attack. 



Version 1.55:
1.  VehicleSize.txt
    a. Remove "Bitmap Name".
    b. Added "Primary Bitmap Name".
    c. Added "Alternate Bitmap Name".
       If the Primary Bitmap cannot be located for this race style,
       then the alternate bitmap will be used. If the alternate
       cannot be found either, then the generic style primary
       bitmap will be used. 
2.  Facility.txt
    a. Increased possible value of Facility Family. 
       It now allows values from 1 - 64000. 
3.  Settings.txt
    a. Added "Minimum Computer Player Low Setting"
    b. Added "Maximum Computer Player Low Setting"
    c. Added "Minimum Computer Player Medium Setting"
    d. Added "Maximum Computer Player Medium Setting"
    e. Added "Minimum Computer Player High Setting"
    f. Added "Maximum Computer Player High Setting"
    g. Added "Minimum Neutral Player Low Setting"
    h. Added "Maximum Neutral Player Low Setting"
    i. Added "Minimum Neutral Player Medium Setting"
    j. Added "Maximum Neutral Player Medium Setting"
    k. Added "Minimum Neutral Player High Setting"
    l. Added "Maximum Neutral Player High Setting"
4.  QuadrantTypes.txt
    a. Increased the maximum value of "Number Of System Types" 
       from 100 to 300.        



Version 1.53:
1.  AI_Settings.txt
    a. Added "Ships don't move through minefields".
    b. Added "Ships don't move through restricted systems".
    c. Added "Clear orders on encounter enemy".           
    d. Added "Clear orders on encounter all".             
2.  Directory Added
    a. Added "New" directory under the Sounds directory.
       The Sounds directory contains the "Classic" sounds while
       the "New" directory contains the new sound effects. 
3.  QuadrantTypes.txt
    a. Chances are now in 10ths of a percent.



Version 1.52:
1.  Settings.txt
    a. Added "Asteroids Value Low Percent".
       In a normal game, asteroid value is computed as random from 
       Low Percent to High Percent.
    b. Added "Asteroids Value High Percent".
    c. Added "Asteroids Value Low Resources".
       In a finite resources game, asteroid value is computed as random from 
       Low Resources to High Resources.
    d. Added "Asteroids Value High Resources".
    e. Added "Population Mass".
       The amount of space in kT 1M population takes. 
    f. Added "Reproduction Check Frequency".
       How often reproduction is computed for planets. A value of 1 means
       every turn, a value of 2 means every 2 turns, etc. 
    g. Added "Drones Can Be Hit By Mines".
       When this is set to false, mines cannot detonate against drones. 



Version 1.51:
1.  Components.txt 
    a. Vehicle Types were changed to add in drones.
    b. Weapon Target was changed to add in drones.
    c. Added new components for drones. 
2.  DefaultStrategies.txt 
    a. Added a new strategy for drones. 
3.  Settings.txt 
    a. Added "Drone Supply Usage Per Turn" setting. 
4.  DefaultDesigntTypes.txt 
    a. Added two new design types for drones.
5.  VehicleSize.txt 
    a. Added three drones vehicle sizes. 
6.  TechArea.txt 
    a. Added in tech area for drones. 
7.  CompEnhancement.txt
    a. Increased range modifier for weapon platforms and satellites.
8.  Default_AI_Design_Creation.txt
    a. Added drone designs.
9.  Default_AI_Research.txt
    a. Added drone tech area research.
10. Default_AI_Construction_Vehicles.txt
    a. Added drone purchasing.
11. Default_AI_Strategies.txt
    a. Added drone attack strategy.
12. AI Race Files
    a. Changes similar to those of the default AI. 



